OracleAppJDBCConnectionPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJDBCConnectionPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJDBCConnectionPool

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface OracleAppJDBCConnectionPool

extends J2EEResource

OracleAppJDBCConnectionPool

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getAbandonedConnectionTimeout()`
`OracleAppJ2EEApplication` | `getApplication()`
`int` | `getConnectionRetryInterval()`
`java.lang.String` | `getFactoryClass()`
`boolean` | `getImplicitConnectionCache()`
`int` | `getInactivityTimeout()`
`int` | `getInitialLimit()`
`OracleAppJDBCDataSource[]` | `getJdbcDataSources()`
`OracleAppJDBCDriver` | `getJdbcDriver()`
`int` | `getLowerThresholdLimit()`
`int` | `getMaxConnectAttempts()`
`int` | `getMinConnections()`
`int` | `getNumCachedStatements()`
`int` | `getPropertyCheckInterval()`
`int` | `getTimeToLiveTimeout()`
`java.lang.String` | `getUrl()`
`int` | `getUsedConnectionWaitTimeout()`
`boolean` | `hasAbandonedConnectionTimeout()`
`boolean` | `hasApplication()`
`boolean` | `hasConnectionRetryInterval()`
`boolean` | `hasFactoryClass()`
`boolean` | `hasImplicitConnectionCache()`
`boolean` | `hasInactivityTimeout()`
`boolean` | `hasInitialLimit()`
`boolean` | `hasJdbcDataSources()`
`boolean` | `hasJdbcDriver()`
`boolean` | `hasLowerThresholdLimit()`
`boolean` | `hasMaxConnectAttempts()`
`boolean` | `hasMinConnections()`
`boolean` | `hasNumCachedStatements()`
`boolean` | `hasPropertyCheckInterval()`
`boolean` | `hasTimeToLiveTimeout()`
`boolean` | `hasUrl()`
`boolean` | `hasUsedConnectionWaitTimeout()`
`void` | `setAbandonedConnectionTimeout(int abandonedConnectionTimeout)`
`void` | `setApplication(OracleAppJ2EEApplication application)`
`void` | `setConnectionRetryInterval(int connectionRetryInterval)`
`void` | `setFactoryClass(java.lang.String factoryClass)`
`void` | `setImplicitConnectionCache(boolean cache)`
`void` | `setInactivityTimeout(int inactivityTimeout)`
`void` | `setInitialLimit(int initialLimit)`
`void` | `setJdbcDataSources(OracleAppJDBCDataSource[] dataSources)`
`void` | `setJdbcDriver(OracleAppJDBCDriver driver)`
`void` | `setLowerThresholdLimit(int lowerThresholdLimit)`
`void` | `setMaxConnectAttempts(int maxConnectAttempts)`
`void` | `setMinConnections(int minConnections)`
`void` | `setNumCachedStatements(int numCachedStatements)`
`void` | `setPropertyCheckInterval(int propertyCheckInterval)`
`void` | `setTimeToLiveTimeout(int timeToLiveTimeout)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUsedConnectionWaitTimeout(int usedConnectionWaitTimeout)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getApplication

    OracleAppJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplication

    void setApplication(OracleAppJ2EEApplication application)

### hasApplication

    boolean hasApplication()

### getJdbcDataSources

    OracleAppJDBCDataSource[] getJdbcDataSources()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJdbcDataSources

    void setJdbcDataSources(OracleAppJDBCDataSource[] dataSources)

### hasJdbcDataSources

    boolean hasJdbcDataSources()

### getJdbcDriver

    OracleAppJDBCDriver getJdbcDriver()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJdbcDriver

    void setJdbcDriver(OracleAppJDBCDriver driver)

### hasJdbcDriver

    boolean hasJdbcDriver()

### getAbandonedConnectionTimeout

    int getAbandonedConnectionTimeout()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAbandonedConnectionTimeout

    void setAbandonedConnectionTimeout(int abandonedConnectionTimeout)

### hasAbandonedConnectionTimeout

    boolean hasAbandonedConnectionTimeout()

### getConnectionRetryInterval

    int getConnectionRetryInterval()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionRetryInterval

    void setConnectionRetryInterval(int connectionRetryInterval)

### hasConnectionRetryInterval

    boolean hasConnectionRetryInterval()

### getFactoryClass

    java.lang.String getFactoryClass()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFactoryClass

    void setFactoryClass(java.lang.String factoryClass)

### hasFactoryClass

    boolean hasFactoryClass()

### getImplicitConnectionCache

    boolean getImplicitConnectionCache()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setImplicitConnectionCache

    void setImplicitConnectionCache(boolean cache)

### hasImplicitConnectionCache

    boolean hasImplicitConnectionCache()

### getInactivityTimeout

    int getInactivityTimeout()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInactivityTimeout

    void setInactivityTimeout(int inactivityTimeout)

### hasInactivityTimeout

    boolean hasInactivityTimeout()

### getInitialLimit

    int getInitialLimit()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInitialLimit

    void setInitialLimit(int initialLimit)

### hasInitialLimit

    boolean hasInitialLimit()

### getLowerThresholdLimit

    int getLowerThresholdLimit()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLowerThresholdLimit

    void setLowerThresholdLimit(int lowerThresholdLimit)

### hasLowerThresholdLimit

    boolean hasLowerThresholdLimit()

### getMaxConnectAttempts

    int getMaxConnectAttempts()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxConnectAttempts

    void setMaxConnectAttempts(int maxConnectAttempts)

### hasMaxConnectAttempts

    boolean hasMaxConnectAttempts()

### getMinConnections

    int getMinConnections()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinConnections

    void setMinConnections(int minConnections)

### hasMinConnections

    boolean hasMinConnections()

### getNumCachedStatements

    int getNumCachedStatements()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumCachedStatements

    void setNumCachedStatements(int numCachedStatements)

### hasNumCachedStatements

    boolean hasNumCachedStatements()

### getPropertyCheckInterval

    int getPropertyCheckInterval()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPropertyCheckInterval

    void setPropertyCheckInterval(int propertyCheckInterval)

### hasPropertyCheckInterval

    boolean hasPropertyCheckInterval()

### getTimeToLiveTimeout

    int getTimeToLiveTimeout()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTimeToLiveTimeout

    void setTimeToLiveTimeout(int timeToLiveTimeout)

### hasTimeToLiveTimeout

    boolean hasTimeToLiveTimeout()

### getUrl

    java.lang.String getUrl()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUrl

    void setUrl(java.lang.String url)

### hasUrl

    boolean hasUrl()

### getUsedConnectionWaitTimeout

    int getUsedConnectionWaitTimeout()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUsedConnectionWaitTimeout

    void setUsedConnectionWaitTimeout(int usedConnectionWaitTimeout)

### hasUsedConnectionWaitTimeout

    boolean hasUsedConnectionWaitTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD